System Information overview

System Information collects and displays your system configuration information. Support technicians require specific information about your computer when they are troubleshooting your configuration. You can use System Information to quickly find the data they need to resolve your system problem.

System Information displays a comprehensive view of your hardware, system components, and software environment. The displayed system information is organized into a system summary and three top-level categories that correspond to the Resources, Components, and Software Environment nodes on the console tree.

  • The System Summary node displays general information about your computer and the version of Windows 2000 operating system installed. This summary includes the name and type of your system, the name of your Windows system directory, regional options, and statistics about physical and virtual memory.
  • The Hardware Resources node displays hardware-specific settings, namely DMA, IRQs, I/O addresses, and memory addresses. The Conflicts/Sharing node identifies devices that are sharing resources or are in conflict. This can help identify problems with a device.
  • The Components node displays information about your Windows configuration and is used to determine the status of your device drivers, networking, and multimedia software. In addition, there is a comprehensive driver history, which shows changes made to your components over time.
  • The Software Environment node displays a snapshot of the software loaded in computer memory. This information can be used to see if a process is still running or to check version information.

Other applications may add nodes to System Information that display information specific to the application.

You can use the View menu to switch between the display of Basic and Advanced information. The Advanced view shows all of the information in the Basic view plus additional information that may be of interest to the more advanced user or to Microsoft Product Support Services.

Related Topics


Display system data

To display system data

  1. Open System Information.
  2. Double-click the options in the navigation pane to expand the System Information category nodes, and then click the item about which you want information.

Note

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.


Find system data

To find system data

  1. Open System Information.
  2. On the Action menu, click Find.
  3. In Find What, type the word or words corresponding to the system information for which you are searching.
  4. Select a search option as needed.
    • To search only through the portion of the console tree, click Restrict Search to Selected Category. This option starts the search at the top of the currently selected node (and searches all of its subcategories). Clearing this check box starts the search at the root node.
    • To search only the console tree node and subnode names for a match, ignoring any matches in the results pane, click Search Categories Only. Clearing this check box searches both the console tree and the results pane.
    • To search all categories and results information, clear both check boxes.
  5. Click Find Next.

Notes

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.
  • To search for additional items, click New Search and repeat the previous steps.


Save system data to a System Information file

To save system data to a System Information file

  1. Open System Information.
  2. On the Action menu, click Save As System Information File.
  3. In Save As, click the desired file location.
  4. In File name, enter the file name.
  5. Make sure Save as type says System Info File, and then click Save.

Note

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.


Save system data to a text file

To save system data to a text file

  1. Open System Information.
  2. On the Action menu, point to All Tasks, and then click Save As Text File.
  3. In Save in, enter the file location.
  4. In File name, enter the file name.
  5. Make sure Save as type says Text File, and then click Save.

Notes

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.
  • You can open the text file with any text editor. Saving information to a text file gives you a snapshot of your system information, which you can then send to others through e-mail or by fax.
  • Saving system information to a text file saves system information from only the currently selected node and its subnodes.


Open a System Information file

To open a System Information file

  1. Open System Information.
  2. On the Action menu, point to All Tasks, and then click Open System Information File.
  3. In Look in, click the desired file location.
  4. In File name, enter the file name.
  5. Make sure that Files of type says System Info Files (.nfo), and then click Open.

Note

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.


Run a system tool

To run a system tool

  1. Open System Information.
  2. On the Tools menu, point to Windows, and then click the tool you want to run.

Notes

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.
  • You may need to run these tools when support technicians are troubleshooting your system.


Switch the System Information view

To switch the System Information view

  1. Open System Information.
  2. On the View menu, click the unchecked option, either Basic or Advanced.

Notes

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.
  • The Advanced view shows all of the information in the Basic view plus additional information that may be of interest to the more advanced user or to a support technician.


Print system data

To print system data

  1. Open System Information.
  2. On the Action menu, click Print.
  3. In Print range, specify the system data you want to print:
    • Click Selection to print the currently selected node and all its subnodes.
    • Click All to print all of the system data.
    • Click Pages to print a range of pages of the system data.

Note

  • To open System Information, click Start, point to Programs, point to Accessories, point to System Tools, and then click System Information.